/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */

#ifndef COUNTDISTANCE_H
#define COUNTDISTANCE_H

#include <QObject>
#include <QtCore>
#include <QDomDocument>
#include <QDomText>
#include <QString>
#include <QDebug>
#include <math.h>

#define PI 3.14159265
#define RAD 6372.795

class CountDistance : public QObject
{
    Q_OBJECT

public:
    explicit CountDistance(QObject *parent = 0);
    Q_INVOKABLE void countDistanceToFire(double lat1, double lon1, double lat2, double lon2);
    Q_INVOKABLE  void findMin(double l, double p);

public slots:
    void startDangerous(double *lt1, double *ln1, unsigned int length1);
    void getPosition(double lat_pos ,double lon_pos);

signals:
    void pushReport();
    void dangerSend(double lat1, double lon1, double lat2, double lon2, double distToFire);

private:
    int flag_points;
    double lon;
    double lat;
    double *lt;
    double *ln;
    unsigned int length;
    double checkDistance;
    unsigned int gpsUpdateCount;
};

#endif // COUNTDISTANCE_H
