/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */

#ifndef GENSETTINGS_H
#define GENSETTINGS_H

#include <QSettings>
#include <QDebug>
#include <QFile>
#include <QDir>

/* Settings */
class GenSettings : public QObject
{
    Q_OBJECT

private:
    QString location_provider;
    QString countryCode;
    QString mapType;
    QString lat;
    QString lon;
    QString countryName;
    QString home;
	QString agreement;

public:
    GenSettings();

    /* Load settings from file */
    Q_INVOKABLE void loadSettings();

    /* Save provider, country code and map look */
    Q_INVOKABLE void saveSettings(QString provider, QString country, QString map);

    /* Save latitude and longitude */
    Q_INVOKABLE void saveSettingsCoordinates(QString lat, QString lon);

    /* Save area name into file */
    Q_INVOKABLE void saveSettingsCountryName(QString countryName);

	 /* Save agreement into file */
    Q_INVOKABLE void saveAgreement(QString agreement);

    /* Getter for countryCode */
    Q_INVOKABLE QString getCountryCode();

    /* Getter for location_provider */
    Q_INVOKABLE QString getProvider();

    /* Getter for mapType */
    Q_INVOKABLE QString getMapType();

    /* Getter for latitude */
    Q_INVOKABLE QString getLatitude();

    /* Getter for latitude */
    Q_INVOKABLE QString getLongitude();

    /* Getter for area name */
    Q_INVOKABLE QString getCountryName();
    
    /* Getter for agreement */
    Q_INVOKABLE QString getAgreement();

};

#endif // GENSETTINGS_H
