/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */
 
#ifndef GPS_H
#define GPS_H

#include <QGeoPositionInfo>
#include <QGeoPositionInfoSource>
#include <qmobilityglobal.h>
#include <qgeopositioninfo.h>
#include <qgeopositioninfosource.h>
#include <QDebug>

QTM_USE_NAMESPACE
class Gps:public QObject
{
    Q_OBJECT

public:
    Gps();
    Q_INVOKABLE void startGps();
    Q_INVOKABLE void stopGps();
    Q_INVOKABLE double getGpsLon();
    Q_INVOKABLE double getGpsLat();

private slots:
    void positionUpdated(QGeoPositionInfo);

signals:
    void posUpdatedGps(double lat, double lon);
    void timeout();
    void danger();
    void gpsError(QString errorStr);

private:
    double lon;
    double lat;
    QGeoPositionInfoSource* m_geoSource;
};


#endif // GPS_H
