#ifndef NETWORK_H
#define NETWORK_H

#include <QDeclarativeEngine>
#include <QDeclarativeView>
#include <QDeclarativeContext>
#include <QNetworkAccessManager>
#include <QUrl>
#include <QtNetwork>
#include <QDebug>
#include <QDir>
#include "gensettings.h"
QT_BEGIN_NAMESPACE
class QFile;
class QNetworkReply;
QT_END_NAMESPACE

class Network: public QObject
{
	Q_OBJECT

public:
	Network();
        Q_INVOKABLE void checkCache();
        Q_INVOKABLE int deleteFile();

public slots:
        void startRequest(QUrl url);
	void cancelDownload();
	void httpFinished();
        void downloadFile(QString countryName);
	void httpReadyRead();

signals:
        void startParse(QString fileName);
        void checkUser();
        void netError(QString errorStr);

private:
	QUrl url;
	QNetworkAccessManager qnam;
	QNetworkReply *reply;
	QFile *file;
	bool httpRequestAborted;
    QString tmp;
};

#endif // NETWORK_H
