/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */
 
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QFile>
#include <QStringList>
#include <QDomDocument>
#include <QDomText>
#include <QString>
#include <QDebug>
#include <QVector>
#include <QTextStream>

using namespace std;
QT_BEGIN_NAMESPACE
class QXmlAttributes;
class QXmlStreamWriter;
class XmlParse;
QT_END_NAMESPACE

class Parse: public QObject
{
        Q_OBJECT

public:
        Parse();
        /*  Parsing XML file fire points' data */
        Q_INVOKABLE void parseFile(QString fileName);
        Q_INVOKABLE void parseCSVFile(QString fileName);

signals:
        void posUpdated(double lat, double lon);
        void mapUpdate();
        void dangerous(double *lt, double *ln, unsigned int length);
        void errorParse(QString errorStr);

private:
        /* Fire point's coordinates */
        double *ln;
        double *lt;
        unsigned int length;

        /* Extra elements for traversal of the XML tree */
        QDomElement docElem;
        QDomNodeList strCoords;
        QStringList coords;
};

#endif // MAINWINDOW_H
