#ifndef YANDEXLOCATOR_H
#define YANDEXLOCATOR_H

#include <QtNetwork>
#include <QtCore/QByteArray>
#include <QDebug>
#include <QList>
#include <QHostInfo>
#include <QSystemNetworkInfo>
#include <QDomDocument>
#include <QDomText>
#include <QTimer>
using namespace QtMobility;

class yandexLocator : public QObject
{
    Q_OBJECT

public:
    yandexLocator();
    Q_INVOKABLE void startLocator();
    Q_INVOKABLE void stopLocator();
    Q_INVOKABLE double getLocatorLon();
    Q_INVOKABLE double getLocatorLat();

public slots:
    void parseAnswer();
    void createRequest();

signals:
    void posUpdatedLocator(double lat, double lon);
    void locatorError(QString errorStr);

private:
    QString Check(int k);
    QTimer *timer;
    QNetworkAccessManager manager;
    QNetworkRequest request;
    QNetworkReply *reply;
    double lat;
    double lon;
};

#endif // YANDEXLOCATOR_H
