/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1

Page {

	orientationLock: 1
    tools: commonTools
    id: about
	Image {
		source: "img/background.png"
	}
	
	Flickable {
                y: about.height / 10
                width: parent.width ; height: about.height
		contentWidth: parent.width ; 
                contentHeight: about.height +  about_txt.height
	
		Column {
			id: aboutColumn
			spacing: 10
                        height: logo.height + about_txt.height

			Image {
                                id: logo
				source: "img/fp-logo-main.png"
                                width: about.width
				fillMode: Image.PreserveAspectFit
				anchors.horizontalCenter: parent.horizontalCenter
			}

			Text {
				text: qsTr("Firepoint helps you to watch for fires around \
the world on Google Maps. \
Application alarms you when a near fire detected. \
Firepoints helps you to learn basis of behaviour \
in forest and during the fire. \
\n\n\
Fire points are provided by Fire Information For Resource Management System, FIRMS: \
http://firefly.geog.umd.edu/firms/ \
\n\n\
http://launchpad.net/firepoint\
\n\n\
All trademarks are the property of their \
respective owners. \
\n\n\n\
Firepoint, fire monitoring app\
\n\n\
Copyright (C) 2012  Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov\
\n\n\
This program is free software; you can redistribute it and/or \
modify it under the terms of the GNU General Public License \
as published by the Free Software Foundation; either version 2 \
of the License, or (at your option) any later version. \
\n\n\
This program is distributed in the hope that it will be useful, \
but WITHOUT ANY WARRANTY; without even the implied warranty of \
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the \
GNU General Public License for more details. \
\n\n\
You should have received a copy of the GNU General Public License \
along with this program; If not, see <http://www.gnu.org/licenses/>. \
\n\n\
Petrozavodsk State University, 2011-2012")

                                x: parent.x + 20
				wrapMode: Text.WordWrap 
                font.pointSize: 5
				color: "white"
				id:about_txt
                                width: about.width - 40
                                height:533
				font.family: 'Nokia Pure Text' 
			}
		}
	}
	
        /*Item {
        id: headerRect
        anchors.top:about.top; anchors.left: about.left; anchors.right: about.right
        width: about.width ; height: content.height
        */
        Image {
            id: headerRect
            anchors.top:about.top; anchors.left: about.left; anchors.right: about.right
            width: about.width ;
            //width: parent.width
            height: about.height/10
            source: "img/header.png"
            fillMode: Image.TileHorizontally

        
            Text {
                id: titleText
                color: "white"
                x: parent.x + 20
                anchors.verticalCenter: headerRect.verticalCenter

                font.pointSize: 6.5
                text: qsTr("About")
               // font.family: 'Nokia Pure Text'
            }
        }
    
     ToolBarLayout {
        ToolButton {
            iconSource: "toolbar-back"
			onClicked: pageStack.pop();
		}    
        id: commonTools
        visible: true            
      }      
}
