/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1
import com.nokia.extras 1.1

Page {
	orientationLock: 1
    id:comicsMenu
    tools: commonTools
      
	Image {
		source: "img/background.png"
	}
		
	Column {	
                y: comicsMenu.height / 10
                //x:10
		id: comicsColumn
                anchors.horizontalCenter: parent.horizontalCenter
                spacing: comicsMenu.height / 15
		
		Image {
			source: "img/comics1.png"
                        width: comicsMenu.width
                        fillMode: Image.PreserveAspectFit
            MouseArea{
                anchors.fill: parent
                onClicked: pageStack.push(appWindow.uiprefix + "ComicsTwo.qml");
            }
		}
		
		Image {
			source: "img/comics2.png"
                        width: comicsMenu.width
                        fillMode: Image.PreserveAspectFit
            MouseArea{
                anchors.fill: parent
                onClicked: pageStack.push(appWindow.uiprefix + "ComicsOne.qml");
            }
		}
	}
	
        Image {
            id: headerRect
            anchors.top:comicsMenu.top; anchors.left: comicsMenu.left; anchors.right: comicsMenu.right
            width: comicsMenu.width ;
            //width: parent.width
            height: comicsMenu.height/10
            source: "img/header.png"
            fillMode: Image.TileHorizontally


            Text {
                id: titleText
                color: "white"
                x: parent.x + 20
                anchors.verticalCenter: headerRect.verticalCenter

                font.pointSize: 6.5
                text: qsTr("How-to's")
               // font.family: 'Nokia Pure Text'
            }
        }
    
     ToolBarLayout {
        ToolButton {
            iconSource: "toolbar-back"
			onClicked: pageStack.pop();
		}    
        id: commonTools
        visible: true            
      }      
}
