/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1

Page {
	id: comicsOne
	orientationLock: 1

    tools: commonTools
      
	Image {
		source: "img/background.png"
	}
	
	Flickable {
		y: 80
		width: parent.width ; height: 800
		contentWidth: parent.width ; 
		contentHeight: comicsColumn.height + 160
		
		Column {
			id: comicsColumn
			anchors.horizontalCenter : parent.horizontalCenter
			spacing: 20
			
			Image {
				source: "img/comics-read-one.png"
			}	
		}
	}
	
	Item {
        id: headerRect
        anchors.top:comicsOne.top; anchors.left: comicsOne.left; anchors.right: comicsOne.right
        width: appWindow.width ; height: 78
        
        Image {
			width: parent.width
			height: 78
			source: "img/header.png"
			fillMode: Image.Tile
        }
        
        Text {
            id: titleText
            color: "white"
            x: parent.x + 20
            anchors.verticalCenter: headerRect.verticalCenter          
            
            font.pixelSize: 26
            text: qsTr("How not to cause a fire")
            font.family: 'Nokia Pure Text'
        }
    }
    
     ToolBarLayout {
        ToolButton {
            iconSource: "toolbar-back";
			onClicked: pageStack.pop();
		}     		
        id: commonTools
        visible: true            
      }      
}
