/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1

Page {
	orientationLock: 1
    tools: commonTools
    id: help
	Image {
		source: "img/background.png"
	}
	
	Flickable {
		y: 80
		width: parent.width ; height: 800
		contentWidth: parent.width ; 
		contentHeight: aboutColumn.height + 200
	
		Column {
			id: aboutColumn
			spacing: 10
		
			Text {
				text: qsTr("")

				x: parent.x + 20
				wrapMode: Text.WordWrap 
				font.pixelSize:20 
				color: "white"
				id:about_txt
				width:455 
				height:533
				font.family: 'Nokia Pure Text' 
			}
		}
	}
	
	Image {
		source: 'img/screen-1.png'
		anchors.centerIn : parent
		fillMode: Image.PreserveAspectFit
		
		Rectangle {
			id: dim
			color: 'black'
			height: parent.height
			width: parent.width
			opacity: 0.5
		}
	}
	
	Item {
		id: highlight
		x: 0 ; y : 0
		width: help.width
		height: help.height
		
		Text {
			color: 'white'
			x: 130 ; y: 150
			text: qsTr ('Your current coordinates')
			font.pixelSize: 20
			font.family: 'Nokia Pure Text'
		}
		
		Text {
			color: 'white'
			x: 150 ; y: 300
			text: qsTr ('Map with fire points')
			font.pixelSize: 20
			font.family: 'Nokia Pure Text'
		}
		
		Image {
			x: 110 ; y: 330
			source: 'img/marker-types.png'
		}
		
		Text {
			color: 'white'
			x: 210 ; y: 350
			text: qsTr ('- one fire')
			font.pixelSize: 20
			font.family: 'Nokia Pure Text'
		}
		
		Text {
			color: 'white'
			x: 210 ; y: 420
			text: qsTr ('- cluster of fires')
			font.pixelSize: 20
			font.family: 'Nokia Pure Text'
		}
		
		Text {
			color: 'white'
			x: 185 ; y: 585
			text: qsTr ('Bottom panel')
			font.pixelSize: 20
			font.family: 'Nokia Pure Text'
		}		
	}

	Button {
		id: lightson
		y: 680
		anchors.horizontalCenter : parent.horizontalCenter
		text: qsTr ('Turn on the light')
		onClicked: {
			if (dim.opacity != 0) {
				highlight.visible = false
				dim.opacity = 0
				lightson.text = qsTr ('Turn off the light')
			} else {
				dim.opacity = 0.7
				highlight.visible = true
				lightson.text = qsTr ('Turn on the light')
			}
		}
	}
	
	Item {
        id: headerRect
        anchors.top: help.top; anchors.left: help.left; anchors.right: help.right
        width: help.width ; height: 78
        
        Image {
			width: parent.width
			height: 78
			source: "img/header.png"
			fillMode: Image.Tile
        }
        
        Text {
            id: titleText
            color: "white"
            x: parent.x + 20
            anchors.verticalCenter: headerRect.verticalCenter          
            
            font.pixelSize: 26
            text: qsTr("Help: Map")
            font.family: 'Nokia Pure Text'
        }
    }
    
     ToolBarLayout {
                ToolButton {
                        iconSource: "toolbar-back"
			onClicked: pageStack.pop();
		}
		
                ToolButton {
                        iconSource: "toolbar-next"
            onClicked: pageStack.push(appWindow.uiprefix + "HelpOne.qml");
		}
		
        id: commonTools
        visible: true            
      }      
}
