/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
import com.nokia.symbian 1.1

Page {
	id: mainMenu
        orientationLock: 1

        Flickable {
                id: flic
                width: parent.width; height: parent.height
                contentWidth: parent.width;
                contentHeight: -15 + logo.height + map.height + howto.height + pref.height
                               + space1.height + space2.height + red1.height + red2.height + matchbox.height
                boundsBehavior: "StopAtBounds"
       
	Image {
		source: "img/background_main.png"
                fillMode: Image.PreserveAspectFit
    }
    
	Image {
                id: logo
		source: "img/fp-logo-main.png"
                anchors.horizontalCenter: parent.horizontalCenter
                width: parent.width
                fillMode: Image.PreserveAspectFit
    }
    
	Image {
                id: matchbox
                source: "img/match.png"
                fillMode: Image.PreserveAspectFit
                width: parent.width
                anchors.top: red2.bottom
                anchors.left: parent.left
    }
    
	Image {
		source: "img/dirty.png"
		opacity: 0.20
                fillMode: Image.PreserveAspectFit
    }
    
	Image {
		source: "img/cup.png"
		opacity: 0.90
                anchors.right : parent.right
                fillMode: Image.PreserveAspectFit
    }
    

	Image {
                id: red1
                source: "img/menu/red1.png"
                width: parent.width
                fillMode: Image.PreserveAspectFit
                anchors.top: pref.bottom
    }
        Image {
                id: red2
                source: "img/menu/red2.png"
                width: parent.width
                fillMode: Image.PreserveAspectFit
                anchors.top: red1.bottom
        }
                Item {
                    x: mainMenu.width * 0.73
                    //y: flic.height * 0.8
                    anchors.top: red1.bottom
                    width: children.width
                    height: children.height
                    anchors.margins: red2.height/4
                        Text {
                                text: qsTr ("Help")
                                color: "white"
                                //x: mainMenu.width * 3/4
                                //anchors.fill: parent
                                font.pointSize: 9
                                font.family: 'Nokia Pure Text'
                    MouseArea {
                        anchors.fill: parent
                        onClicked: pageStack.push(appWindow.uiprefix + "Help.qml");
                    }
                }
                }

    
        Image {
                id: map
                source: "img/menu/map.png"
                fillMode: Image.PreserveAspectFit
                anchors.top: logo.bottom
                width: parent.width

                Item {
                    anchors.fill: parent
                    Text {
                                    text: qsTr ("Map")
                                    color: "white"
                                    anchors.centerIn: parent
                        font.pointSize: 12
                        font.family: 'Nokia Pure Text'
                    }

                    MouseArea {
                        anchors.fill: parent
                        onClicked:{
                            pageStack.push(appWindow.uiprefix + "Map.qml");
                            doOp();
                        }
                    }
                }
         }
        Image {
                id: space1
                source: "img/menu/space1.png"
                fillMode: Image.PreserveAspectFit
                anchors.top: map.bottom
                width: parent.width
         }
        Image {
                id: howto
                source: "img/menu/howto.png"
                fillMode: Image.PreserveAspectFit
                anchors.top: space1.bottom
                width: parent.width

                Item {
                        anchors.fill: parent
                        Text {
                                text: qsTr ("How-to's")
                                color: "white"
                                anchors.centerIn: parent
                    font.pointSize: 12
                    font.family: 'Nokia Pure Text'
                        }

                        MouseArea {
                                anchors.fill: parent
                    onClicked: pageStack.push(appWindow.uiprefix + "ComicsMenu.qml");
                        }
                }
         }
        Image {
                id: space2
                source: "img/menu/space2.png"
                fillMode: Image.PreserveAspectFit
                anchors.top: howto.bottom
                width: parent.width
         }
        Image {
                id: pref
                source: "img/menu/pref.png"
                fillMode: Image.PreserveAspectFit
                anchors.top: space2.bottom
                width: parent.width

                Item {
                        anchors.fill: parent
                        Text {
                                text: qsTr ("Preferences")
                                color: "white"
                                anchors.centerIn: parent
                    font.pointSize: 12
                    font.family: 'Nokia Pure Text'
                        }

                        MouseArea {
                                anchors.fill: parent
                    onClicked: pageStack.push(appWindow.uiprefix + "Settings.qml");
                        }
                }
         }
        Image {
                id: about
                source: "img/menu/about.png"
                fillMode: Image.PreserveAspectFit
                anchors.top: pref.bottom
                width: parent.width
        }
                Item {
                        x: mainMenu.width * 0.35
                        //y: flic.height * 0.7
                        anchors.top: pref.bottom
                        width: children.width
                        height: children.height
                        anchors.margins: about.height/4
                        Text {
                                text: qsTr ("About")
                                color: "white"
                                font.pointSize: 9
                                font.family: 'Nokia Pure Text'
                    MouseArea {
                        anchors.fill: parent
                        onClicked: pageStack.push(appWindow.uiprefix + "About.qml");
                    }
                }
                }

        Image {
                id: exit
                source: "img/menu/exit.png"
                fillMode: Image.PreserveAspectFit
                anchors.top: about.bottom
                width: parent.width
        }
                Item {
                    x: mainMenu.width * 0.05
                    //y: flic.height * 0.77
                    anchors.top: about.bottom
                    width: children.width
                    height: children.height
                    anchors.margins: exit.height/4
                        Text {
                                text: qsTr ("Exit")
                                color: "white"
                                font.pointSize: 9
                                font.family: 'Nokia Pure Text'
                        MouseArea {
                                anchors.fill: parent
                                onClicked: Qt.quit()
                        }
                        }
                }    

	Image {
                id: noir
		source: "img/noir-frame.png"
		width: mainMenu.width
                height: logo.height + map.height + howto.height + pref.height
                        + space1.height + space2.height + red1.height + red2.height + matchbox.height
                fillMode: Image.Stretch

    }
}
}
