/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */

import QtQuick 1.1
//import com.nokia.meego 1.0
import QtWebKit 1.0
import QtMobility.systeminfo 1.1
import com.nokia.symbian 1.1
//import com.nokia.extras 1.1

import "AdditionalFunctions.js" as Round

Page {
    id:mapPage
	orientationLock: 1
    /*
    NetworkInfo {
                id: wlaninfo

                onStatusChanged : {
                    wlaninfo.mode = mode;

                    if (wlaninfo.networkStatus == "Undefined"||
                            wlaninfo.networkStatus == "No Network Available"||
                            wlaninfo.networkStatus == "Emergency Only")
                    {
                        notice.opacity = 0.6;
                        noticeText.text = "Network Undefined";
                    }
                    console.log(wlaninfo.networkStatus);
                    console.log( wlaninfo.currentMode);
                }
                onModeChanged: {
                    console.log("Mode changed:" + wlaninfo.currentMode)
                }
                 monitorStatusChanges: true
                monitorModeChanges: true
    }*/

    // Load settings
    property int mapType: 0
    property string provider: ""
    property int countryCode: 0
    property string countryName:""

    tools: commonTools
	property alias status: js.status

    /* Load settings when map is opened */
    Component.onCompleted: {
        /* Network debug information */
       /* console.log("Network:")
        console.log("currentMode::::"+wlaninfo.currentMode)
        console.log("currentMobileCountryCode::::"+wlaninfo.currentMobileCountryCode)
        console.log("networkName::::"+wlaninfo.networkName)
        console.log("networkSignalStrength::::"+wlaninfo.networkSignalStrength)
        console.log("networkStatus::::"+wlaninfo.networkStatus)
        console.log("homeMobileCountryCode::::"+wlaninfo.homeMobileCountryCode)
        console.log("homeMobileNetworkCode::::"+wlaninfo.homeMobileNetworkCode)
        console.log("locationAreaCode::::"+wlaninfo.locationAreaCode)
       /* if (wlaninfo.networkStatus == "Undefined"||
                wlaninfo.networkStatus == "No Network Available"||
                wlaninfo.networkStatus == "Emergency Only") {
            notice.opacity = 0.6;
            noticeText.text = "Network Undefined";
        }*/

        qtSettings.loadSettings()
        /* Get settings */
        provider = qtSettings.getProvider()
        countryCode = qtSettings.getCountryCode()
        mapType = qtSettings.getMapType()
        js.lat = qtSettings.getLatitude()
        countryName = qtSettings.getCountryName()
        js.lng = qtSettings.getLongitude()
        console.log(js.lat)
        console.log(js.lng)
        singleSelectionDialog.selectedIndex = mapType
        js.mapTypeOnLoad = mapType
    }

    function saveSettings() {
        myMenu.close()
        mapType = singleSelectionDialog.selectedIndex
        qtSettings.saveSettings(provider, countryCode, mapType)

        /* Save sourse of location */
        if (provider == "gps"){
            obj.stopGps();
            qtSettings.saveSettingsCoordinates(obj.getGpsLat(), obj.getGpsLon())
        }
        else{
            locator.stopLocator();
            qtSettings.saveSettingsCoordinates(locator.getLocatorLat(), locator.getLocatorLon())
        }
        pageStack.pop()
    }

    /* Get latitude */
    function setCoordinatesLat(){
        if (provider == "gps")
            return obj.getGpsLat()
        else
            return locator.getLocatorLat()
    }
    /* Get longirude */
    function setCoordinatesLon(){
        if (provider == "gps")
            return obj.getGpsLon()
        else
            return locator.getLocatorLon()
    }

    /* Get signal: posUpdate from Parse module */
    Connections{
        target: cppEngine;
        onPosUpdated: {positionUpdated(lat,lon);}
    }

    /* Add fire point to clusterer */
    function positionUpdated(lat, lon){

        map.evaluateJavaScript("pan("+lat+","+lon+");");
    }

    /* Get signal: posUpdateGps from Gps module */
    Connections{
        target: obj;
        onPosUpdatedGps: {positionUpdatedGps(lat,lon);}
    }
    /* Get signal: posUpdatedLocator from Yandex Locator module */
    Connections{
        target: locator;
        onPosUpdatedLocator: {positionUpdatedGps(lat,lon);}
    }
    /* Refresh user location */
    function positionUpdatedGps(lat, lon){
        coordText.text = "Your location: "+Round.round(lat)+"    "+Round.round(lon)
        map.evaluateJavaScript("updateGps("+lat+","+lon+");");
    }

    /* Get signal: mapUpdate from Parse module */
    Connections{
        target: cppEngine;
        onMapUpdate: {up();}
    }
    /* Refresh of marker clusterer */
    function up(){
        map.evaluateJavaScript("mapup();");
    }

    /* Get signal: dangerSend from CountDistance module */
    Connections{
        target: distance;
        onPushReport: {
            pageStack.push(appWindow.uiprefix + "Notify.qml");
        }
    }

    /* Open user dialog */
    Connections{
        target: myObject;
        onCheckUser:{openDialog();}
    }

    function openDialog(){
        myDialog.open()
    }

    WebView {
        id: map
        y:headerRect.height - 4
        url: "index.html"
        preferredWidth: parent.width
        preferredHeight: parent.height - 74
        scale: 1
        smooth: false
        pressGrabTime: 0
        javaScriptWindowObjects: QtObject {
            id: js
            WebView.windowObjectName: "qml"
            property real lat:15.000 //karta.latitude
            property real lng:15.000 //karta.longitude
            property string address:"dd" //karta.address
            property string status: "Loading"
            property int gpsStatus: 1
            property string mapType: "Normal"
            property string mapTypeOnLoad: mapType
        }
        onLoadFinished: {
           /* if (wlaninfo.networkStatus == "Undefined"||
                    wlaninfo.networkStatus == "No Network Available"||
                    wlaninfo.networkStatus == "Emergency Only"){
                notice.opacity = 0.6;
                noticeText.text = "Network Undefined";
                return;
            }*/
            myObject.checkCache();
        }
    }

    // Create a simple "Hello World"-Dialog
     Dialog {
       id: myDialog
       content:Item {
         id: name
         height: 50
         width: parent.width
         Text {
           id: text
           font.pixelSize: 40
           anchors.centerIn: parent
           color: "white"
           text: "Reload points?"
           anchors.bottomMargin: 100
         }
       }

      buttons: ButtonRow {
             /*style: ButtonStyle {
             fontFamily: 'Nokia Pure Text'
             fontPixelSize: 21
             textColor: "black"
             pressedTextColor: "gray"
             disabledTextColor: "gray"
             checkedTextColor: "white"
             buttonWidth: 150
             buttonHeight: 50
             position: "[horizontal-center]"
        }*/
           x:parent.width/2 - 150
           Button {
               text: "Yes";
               onClicked: reloadFile()
               height: 50
               width: 150

           }
           Button {
               text: "No";
               onClicked: myDialog.reject()
               height: 50
               width: 150
           }
         }
       }
     function reloadFile()
     {
         myDialog.accept()
         map.evaluateJavaScript("clearMarkerManager();");
         myObject.downloadFile(countryName)
     }
	
	Item{
        id: headerRect
        anchors.top:mapPage.top; anchors.left: mapPage.left; anchors.right: mapPage.right
        width: appWindow.width ; height: 78
        
        Image {
			width: parent.width
			height: 78
			source: "img/header.png"
			fillMode: Image.Tile
        }
        
        Text {
            id: coordText
            color: "white"
            x: parent.x + 20
            anchors.verticalCenter: headerRect.verticalCenter          
            
            font.pixelSize: 26
            text: qsTr("Your location: XX.XXXX     YY.YYYY")
            font.family: 'Nokia Pure Text'
        }
    }

     ToolBarLayout {
		id: commonTools
        visible: true   
		
                ToolButton {
                        iconSource: "toolbar-back"

            onClicked: saveSettings();
		}
		
                ToolButton {
			Image {
				source: "img/icon-add.png"
				anchors.centerIn: parent
			}
            onClicked: {
                map.evaluateJavaScript("changeZoomIn();");
            }
		}
		
                ToolButton {
			Image {
				source: "img/icon-remove.png"
				anchors.centerIn: parent
			}
            onClicked: {
                map.evaluateJavaScript("changeZoomOut();");
            }
		}
		
                ToolButton {
                        iconSource: "toolbar-view-menu"
			onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
		}
      }
      
       Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                text: qsTr("Show my location")
                onClicked: {
                    js.gpsStatus = 1
                    positionUpdatedGps(setCoordinatesLat(), setCoordinatesLon())// ПОЧЕМУ НЕ РАБОТАЕТ
                }
            }
            MenuItem {
                text: qsTr("Report a fire")
                onClicked: {
                    pageStack.push(appWindow.uiprefix + "Report.qml");
                }
           }

            MenuItem {
                text: qsTr("Change map style")
                onClicked: {
                    singleSelectionDialog.open();
                }
               }
        }
    }
      
       // Create a selection dialog with a title and list elements to choose from.
        SelectionDialog {
            id: singleSelectionDialog
            titleText: "Choose map type"
            selectedIndex: 0

            model: ListModel {
                ListElement {name: "Normal" }
                ListElement { name: "Satellite" }
                ListElement {name: "Hybrid" }
                ListElement {name: "Physical" }

            }
            onAccepted: {
                js.mapType = singleSelectionDialog.model.get(singleSelectionDialog.selectedIndex).name
                map.evaluateJavaScript("changeMapStyle();")
              }
       }
      
    /* Notification area */
      Rectangle {
          id:notice
          anchors.bottom: parent.bottom
          color:"black"
          height:100
          width:parent.width
          opacity:0.0
          
		Text {
			id: noticeText
			anchors { centerIn: parent }
			text: "GPS isn't working"
			color:"white"
		}
          
		Image {
			id:noticeImage;
			source: "img/cancle.png"
			anchors {
				top:parent.top;
				right: parent.right;
			}
			
			MouseArea {
				anchors.fill: parent;
				onClicked: notice.opacity = 0.0;
			}
		}
		
          Behavior on opacity { PropertyAnimation { duration: 1000 } }
      }
      
      /* Catch errors from Parse module */
      Connections{
          target:cppEngine;
          onErrorParse:{
              notice.opacity = 0.6;
              noticeText.text = errorStr;
          }
      }
      
      /* Catch errors from network module */
      Connections{
          target:myObject;
          onNetError:{
              notice.opacity = 0.6;
              noticeText.text = errorStr;
          }
      }
      
      /* Catch errors from Gps module */
      Connections{
          target:obj;
          onGpsError:{
              notice.opacity = 0.6;
              noticeText.text = errorStr;
          }
      }
      
      /* Catch errors from Gps module */
      Connections{
          target:locator;
          onLocatorError:{
              notice.opacity = 0.6;
              noticeText.text = errorStr;
          }
      }
}
