/*
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1
import "AdditionalFunctions.js" as Round

Page {
	orientationLock: 1
    tools: commonTools
    id: about

    Connections{
        target: obj;
        onPosUpdatedGps: {
            userLat.text = lat;
            userLon.text = lon;
        }
    }
    /* Get signal: posUpdatedLocator from Yandex Locator module */
    Connections{
        target: locator;
        onPosUpdatedLocator: {
            userLat.text = lat;
            userLon.text = lon;
        }
    }
    
	Image {
		source: "img/background.png"
	}

	Column {
            y: 80
		id: aboutColumn
        spacing: 35
		width: parent.width ; height: 800

		Text {
			text: qsTr("See unmarked fire? You can call to the fire service. \
Please, remember about responsibility for fake calls.")
			wrapMode: Text.WordWrap 
            font.pixelSize:20
            x: parent.x + 20
			color: "white"
			id:about_txt
			width:455 
			font.family: 'Nokia Pure Text' 
		}
		
		Column {
			anchors.horizontalCenter: parent.horizontalCenter
			Text {
				text: qsTr ("Your coordinates:")
				font.pixelSize:26 
				color: "white"
				font.family: 'Nokia Pure Text' 
			}
		
            Text {
                                text: qsTr ("XX.XXXXX")
                id: userLat
                font.pixelSize:30
                x: parent.x + 20
				color: "white"
				font.family: 'Nokia Pure Text' 
				anchors.horizontalCenter: parent.horizontalCenter
			}
			
			Text {
                                text: qsTr ("YY.YYYYY")
                id: userLon
                font.pixelSize:30
                color: "white"
				font.family: 'Nokia Pure Text' 
                anchors.horizontalCenter: parent.horizontalCenter
			}
		}		

		/* Fake invisible rectangle >:D */
		Rectangle {
			color: '#000'
			width: 1
			height: 200
		}

        Text {
            text: qsTr ("Read the Responsibility for fake call")
            color: "#00d2ff"
            font.family: 'Nokia Pure Text'
            font.pixelSize: 23
            anchors.horizontalCenter: parent.horizontalCenter
            x: parent.x + 20
            font.underline: true
            MouseArea{
                anchors.fill: parent
                onClicked: pageStack.push(appWindow.uiprefix + "Responsibility.qml");
            }
        }
		
		Button {
			width: 400 ; height: 100
                        text: qsTr ("Call 112")
			font.family: 'Nokia Pure Text' 
			font.pixelSize: 40
			anchors.horizontalCenter: parent.horizontalCenter
            onClicked: {
                Qt.openUrlExternally("tel:112")
            }
		}
	}
	
	Item {
        id: headerRect
        anchors.top:about.top; anchors.left: about.left; anchors.right: about.right
        width: about.width ; height: 78
        
        Image {
			width: parent.width
			height: 78
			source: "img/header.png"
			fillMode: Image.Tile
        }
        
        Text {
            id: titleText
            color: "white"
            x: parent.x + 20
            anchors.verticalCenter: headerRect.verticalCenter          
            font.pixelSize: 26
            text: qsTr("Report a new fire")
            font.family: 'Nokia Pure Text'
        }
    }
    
     ToolBarLayout {
                ToolButton {
                        iconSource: "toolbar-back"
			onClicked: pageStack.pop();
		}    
        id: commonTools
        visible: true            
      }      
}
