/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */

import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1


Page {
	orientationLock: 1
    tools: commonTools
    id: responsibility
	Image {
		source: "img/background.png"
	}
	
	Flickable {
		y: 80
		width: parent.width ; height: 800
		contentWidth: parent.width ; 
		contentHeight: aboutColumn.height + 200
	
		Column {
			id: aboutColumn
			spacing: 10
		
			Text {
				text: qsTr("Do not make false calls. This is prohibited by \
law (may have to pay a fine), as well as it would divert firemen from rescuing people who really need help. \
\n\n\
If you make a call, then get ready to do the following steps:\
\n\n\
1. Calling the fire brigade, you should tell the exact address of your \
location (area of ​​the city, street, house and apartment number), as well as the full name and telephone number.\
\n\n\
2. It is desirable to specify the location of fire (apartment, porch, basement), \
and what is burning (garbage disposal, mailbox, storage).\
\n\n\
3. If possible, meet the firefighters at the site of the call to help them navigate quickly.\
")

				x: parent.x + 20
				wrapMode: Text.WordWrap 
                font.pixelSize:20
                color: "white"
				id:about_txt
				width:455 
				height:533
				font.family: 'Nokia Pure Text' 
			}
		}
	}
	
	Item {
        id: headerRect
        anchors.top: responsibility.top; anchors.left: responsibility.left; anchors.right: responsibility.right
        width: responsibility.width ; height: 78
        
        Image {
			width: parent.width
			height: 78
			source: "img/header.png"
			fillMode: Image.Tile
        }
        
        Text {
            id: titleText
            color: "white"
            x: parent.x + 20
            anchors.verticalCenter: headerRect.verticalCenter          
            
            font.pixelSize: 26
            text: qsTr("Responsibility for fake call")
            font.family: 'Nokia Pure Text'
        }
    }
    
     ToolBarLayout {
                ToolButton {
                        iconSource: "toolbar-back"
			onClicked: pageStack.pop();
		}    
        id: commonTools
        visible: true            
      }      
}
