/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */
 
import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1

Page {
	orientationLock: 1
    //tools: commonTools
    id: welcome
	Image {
		source: "img/background.png"
	}


	Column {
        y: 300
		id: aboutColumn
        spacing: 35
		width: parent.width ; height: 800

		Text {
			text: qsTr("Firepoint will use information about your geographical location via GPS/Intenet provider. Are you agree?")
			wrapMode: Text.WordWrap 
            font.pixelSize:20
            x: parent.x + 20
			color: "white"
			id:about_txt
			width:455 
			font.family: 'Nokia Pure Text'
		}
		
		Column {
			spacing: 5
			anchors.horizontalCenter: parent.horizontalCenter
			
			Button {
				text: 'Yes, I agree';
				onClicked: {					
					qtSettings.saveAgreement('yes');
                                        pageStack.push(appWindow.uiprefix + "MainMenu.qml");
				}
			}
			
			Button {
				text: 'No';
				onClicked: Qt.quit()
			}	
			
		}		
	}
	
	Item {
        id: headerRect
        anchors.top:welcome.top; anchors.left: welcome.left; anchors.right: welcome.right
        width: welcome.width ; height: 78
        
        Image {
			width: parent.width
			height: 78
			source: "img/header.png"
			fillMode: Image.Tile
        }
        
       
    }
    
     ToolBarLayout {
                ToolButton {
                        iconSource: "toolbar-back"
			onClicked: pageStack.pop();
		}    
        id: commonTools
        visible: false          
      }      
}
