/* 
 * Firepoint
 * A fire monitoring app
 * http://launchpad.net/firepoint
 *
 * Copyright 2011, 2012 Inessa Sofronova, Artem Kalinin, Artem Timonin, Alex Troshkov
 * <atroshko@cs.karelia.ru>
 *
 * Firepoint is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */

import QtQuick 1.1
//import com.nokia.meego 1.0
import com.nokia.symbian 1.1     // Symbian components
//import com.nokia.extras  1.1     // Extras


PageStackWindow {
	showStatusBar: false
	id: appWindow

        //initialPage: mainPage
    property string provider: "" //Needed for detection of location provider
    property string uiprefix: "" // Need for correct path to UI items in page stack
    property string agr: "" //Needed for detection of user agreement to use gps

    function check()
    {
        qtSettings.loadSettings()
        agr = qtSettings.getAgreement()
        if (agr == 'yes')
        {
            console.debug("qml uiprefix: " + appWindow.uiprefix + "MainMenu.qml");
            pageStack.push(appWindow.uiprefix + "MainMenu.qml")
        }
        else
        {
            pageStack.push(appWindow.uiprefix + "Welcome.qml")
        }

    }
        Component.onCompleted:
        {
            check();
        }


    function doOp() {
        qtSettings.loadSettings()
        provider = qtSettings.getProvider()

        /* Select a source to locate */
        if (provider == "gps") {
            console.log(provider);
            obj.startGps();
        } else {
            console.log(provider);
            locator.startLocator();
        }
    }
}

